de.caff.util.xml

## Class TextStringCollector

- java.lang.Object
- - de.caff.util.xml.TextStringCollector

- All Implemented Interfaces:
    StringCollector

  Deprecated.
  use the classes in the package `de.caff.io` and `de.caff.io.xml` instead.

      @Deprecated
      public class TextStringCollector
      extends java.lang.Object
      implements StringCollector

  A string collector which combines all strings it gets into a single text.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_INITIAL_SIZE` Deprecated. Default initial size for string builder.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextStringCollector()` Deprecated. Constructor.
    `TextStringCollector(int initialSize)` Deprecated. Constructor.
    `TextStringCollector(java.lang.StringBuilder sb)` Deprecated. Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(char ch)` Deprecated. Add a character to this collector.
    `void` | `add(java.lang.String str)` Deprecated. Add a string t this collector.
    `char` | `getLastLetter()` Deprecated. Get the last letter of the last string which was added.
    `java.lang.String` | `getText()` Deprecated. Get the collected text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_INITIAL_SIZE

          public static final int DEFAULT_INITIAL_SIZE

      Deprecated.
      Default initial size for string builder.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextStringCollector

          public TextStringCollector()

      Deprecated.
      Constructor. This will create an internal string builder with [@link `default initial size`.

    - #### TextStringCollector

          public TextStringCollector(int initialSize)

      Deprecated.
      Constructor. This will create an internal string builder with the given inital size.
      Parameters:
        `initialSize` - initial size, needs to be larger than zero

    - #### TextStringCollector

          public TextStringCollector(@NotNull
                                     java.lang.StringBuilder sb)

      Deprecated.
      Constructor.
      Parameters:
        `sb` - string builder to which all collected texts are appended.

  - ### Method Detail

    - #### add

          public void add(@NotNull
                          java.lang.String str)

      Deprecated.
      Add a string t this collector.
      Specified by:
        `add` in interface `StringCollector`
      Parameters:
        `str` - string collector

    - #### add

          public void add(char ch)

      Deprecated.
      Add a character to this collector.
      Specified by:
        `add` in interface `StringCollector`
      Parameters:
        `ch` - character to add

    - #### getLastLetter

          public char getLastLetter()

      Deprecated.
      Get the last letter of the last string which was added.
      Specified by:
        `getLastLetter` in interface `StringCollector`
      Returns:
        last letter, zero at the very beginning

    - #### getText

          public java.lang.String getText()

      Deprecated.
      Get the collected text.
      Returns:
        collected text